curl --request POST \
--url https://api.sandbox.lead.bank/v0/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"capabilities": [
"deposit"
],
"entities": {
"account_holder_type": "consumer",
"account_holders": [
"entity_consumer_123"
]
},
"details": {
"product_name": "Everyday Checking"
},
"metadata": {},
"documents": []
}
'{
"id": "account_xyz123",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"application_id": "application_xyz123",
"status": "active",
"status_reason": "client_closed",
"capabilities": [
"deposit"
],
"entities": {
"account_holder_type": "consumer"
},
"details": {
"product_name": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"credit": {
"is_secured": true,
"is_mla": true,
"underwriting_grade": "<string>",
"currency": "USD",
"available_credit": 123,
"limit": 123,
"max_limit": 123,
"scra": {
"start_date": "2023-12-25",
"end_date": "2023-12-25"
},
"report": {
"pulled_at": "2023-11-07T05:31:56Z",
"source": "equifax",
"score": 575,
"non_score_value": "unestablished"
}
},
"adverse_action_notice": {
"delivered_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"delivery_method": "email"
}
},
"metadata": {},
"documents": [
{
"document_id": "document_2N5Hk8xYmQpL9rBvC3jD",
"type": "aan",
"displayed_at": "2023-11-07T05:31:56Z",
"consented_at": "2023-11-07T05:31:56Z",
"version": "v1"
}
],
"client_account_id": "<string>"
}Create an Account
Creates a new account.
Business Rules
- Status is set to
activeby default on creation - Maximum 20 entities per relationship type
- Cannot mix individual and business/sole_prop entities in account_holders
- Authorized signers required for business/sole_prop account holders
- application_id is required for credit accounts
Idempotency
The Idempotency-Key header is required. Reusing a key with a different request body will return a 422 error.
curl --request POST \
--url https://api.sandbox.lead.bank/v0/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"capabilities": [
"deposit"
],
"entities": {
"account_holder_type": "consumer",
"account_holders": [
"entity_consumer_123"
]
},
"details": {
"product_name": "Everyday Checking"
},
"metadata": {},
"documents": []
}
'{
"id": "account_xyz123",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"application_id": "application_xyz123",
"status": "active",
"status_reason": "client_closed",
"capabilities": [
"deposit"
],
"entities": {
"account_holder_type": "consumer"
},
"details": {
"product_name": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"credit": {
"is_secured": true,
"is_mla": true,
"underwriting_grade": "<string>",
"currency": "USD",
"available_credit": 123,
"limit": 123,
"max_limit": 123,
"scra": {
"start_date": "2023-12-25",
"end_date": "2023-12-25"
},
"report": {
"pulled_at": "2023-11-07T05:31:56Z",
"source": "equifax",
"score": 575,
"non_score_value": "unestablished"
}
},
"adverse_action_notice": {
"delivered_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"delivery_method": "email"
}
},
"metadata": {},
"documents": [
{
"document_id": "document_2N5Hk8xYmQpL9rBvC3jD",
"type": "aan",
"displayed_at": "2023-11-07T05:31:56Z",
"consented_at": "2023-11-07T05:31:56Z",
"version": "v1"
}
],
"client_account_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key to ensure idempotent requests
255Body
Request body for creating a new account
List of items that inform Lead how the Account will be used
1Capability that informs Lead how the Account will be used
deposit, credit_with_underwriting, credit_without_underwriting Entity relationships for the account (POST request only). Maximum 20 entities per relationship type. Cannot mix individual and business/sole_prop entities in account_holders. Authorized signers required for business/sole_prop account holders.
Show child attributes
Show child attributes
Details for creating an account
Show child attributes
Show child attributes
Array of associated legal or informational documents
Document reference for creating applications and accounts.
One of displayed_at or consented_at is required depending on document type:
displayed_at: Required for aan, loan_agreement, loc_agreement, truth_in_lending_document, ach_authorization, notice_of_incompleteness, credit_score_notice, offer_summary, personal_guarantee, consumer_credit_auth, partner_privacy_policy, lead_privacy_policy, terms_of_use, fcra_notice, tcpa_consent, patriot_act_notice, mla_notice, pre_approval_terms, eft_authorization, prohibited_industry_certification, decision_maker_document, bo_certification, missed_payments_policy, lead_funds_transfer_agreement, periodic_statementconsented_at: Required for esign_agreement, credit_pull_consent, consent_to_link_account, consent_to_link_hsa, negative_option_consent, deposit_agreement, cardholder_agreement, autopay_authorization
- Disclosure
- Consent
Show child attributes
Show child attributes
Unique identifier for the application. Prefixed with application_.
^application_\w+$"application_xyz123"
A set of key-value pairs that can be used to store additional information related to this object.
Show child attributes
Show child attributes
Response
Account created successfully.
An account object
The ID of the Account object.
^account_\w+$"account_xyz123"
Creation timestamp
Last update timestamp
Unique identifier for the application. Prefixed with application_.
^application_\w+$"application_xyz123"
Current state of the account
active, inactive, closed Machine-readable reason for the current status
client_closed, entity_closed, frozen, dormant, active, paid_off, charged_off, canceled, other List of items that inform Lead how the Account will be used
Capability that informs Lead how the Account will be used
deposit, credit_with_underwriting, credit_without_underwriting Entity relationships associated with the account (response only)
Show child attributes
Show child attributes
Core details of the account
Show child attributes
Show child attributes
A set of key-value pairs that can be used to store additional information related to this object.
Show child attributes
Show child attributes
Array of associated legal or informational documents
Show child attributes
Show child attributes
Client-provided identifier for the account. Optional: present only for accounts created via file upload, and omitted for accounts created through the API, which are identified solely by their server-generated ID.
Was this page helpful?

